package com.gyee.wisdom.dataadapter.domain.thing;

import com.gyee.wisdom.common.data.windturbine.Line;
import com.gyee.wisdom.dao.windturbine.ILineDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class LineService{

    @Autowired
    protected ILineDao jpaLineDao;

    public void save(Line line){
        jpaLineDao.save(line);
    }

    public List<Line> findAll(){
        return jpaLineDao.findAll();
    }

    public Line findById(String id){
        return jpaLineDao.findById(id);
    }

    public void delete(String id){
        jpaLineDao.deletebyid(id);
    }

    public List<Line> findByprojectId(String id){
        return jpaLineDao.findByprojectId(id);
    }
}
